Subject: Re: [PATCH v2 3/6] parse-options: factor out register_abbrev() and struct parsed_option

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Mar 2024 10:48:13 -0700

Josh Steadmon <[email-masked]> writes:

> I found this change to be hard to follow, although I'm not sure anything
> actually needs to be changed. Thinking aloud below, apologies for being
> verbose.

Thanks for carefully following the code.  It unfortunately has to
get long, but this is the kind of review that I would appreciate
most if I were the author, pointing out what is easy to understand
and more importantly what is harder to follow.